defmodule Cashdesk.Application do
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      {Plug.Cowboy, scheme: :http, plug: Cashdesk.Router, options: [port: 8080]},
      Cashdesk
    ]

    opts = [strategy: :one_for_one, name: Cashdesk.Supervisor]
    Supervisor.start_link(children, opts)
  end
end
